SymMeanEvaluator (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.eval
Class SymMeanEvaluator

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicEvaluator
          fr.inrialpes.exmo.align.impl.eval.SymMeanEvaluator

All Implemented Interfaces:
  Evaluator

    public class SymMeanEvaluator

extends BasicEvaluator

Evaluate proximity between two alignments. This function implements a simple weighted symetric difference. The highest the value the closest are the alignments: 1: the alignments are exactly the same, with the same strenghts 0: the alignments do not share a single cell The result is 2*w(A\cap B)/|A|+|B| in which w(.) is the sum of the complement of the strength diference between same cells i.e., \Sum_{c\in A, c'\in R; c=c'} (1 - | c.strength - c'.strength |)

Version:
  $Id: SymMeanEvaluator.java 1327 2010-03-10 16:51:52Z euzenat $
Author:
  Jerome Euzenat

Field Summary
`private double` | `classScore`
`private double` | `indScore`
`private double` | `propScore`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicEvaluator
`align1, align2, result`

Constructor Summary
`SymMeanEvaluator(Alignment align1, Alignment align2)` Creation

Method Summary
`double` | `eval(Properties params)` Run the evaluation between the two ontologies.
`double` | `eval(Properties params, Object cache)` Run the evaluation between the two ontologies.
`void` | `write(PrintWriter writer)` Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classScore

    private double classScore

### propScore

    private double propScore

### indScore

    private double indScore

Constructor Detail

### SymMeanEvaluator

    public SymMeanEvaluator(Alignment align1,
                            Alignment align2)
                     throws AlignmentException

  Creation

  Throws:
    `AlignmentException`

Method Detail

### eval

    public double eval(Properties params)
                throws AlignmentException

  Description copied from interface: `Evaluator`
  Run the evaluation between the two ontologies. Returns a double (between 0 and 1) providing an idea of the proximity

  Throws:
    `AlignmentException`

### eval

    public double eval(Properties params,
                       Object cache)
                throws AlignmentException

  Description copied from interface: `Evaluator`
  Run the evaluation between the two ontologies. Returns a double (between 0 and 1) providing an idea of the proximity The additional argument allows to cache the ontologies if necessary //@deprecated The OntologyCache is now internal, use eval( params ) instead

  Throws:
    `AlignmentException`

### write

    public void write(PrintWriter writer)
               throws IOException

  Description copied from interface: `Evaluator`
  Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

  Specified by:
    `write` in interface `Evaluator`
  Overrides:
    `write` in class `BasicEvaluator`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010